#!/usr/bin/perl -w

use strict;

my $oneLine;


open SRCFILE, "<", "En-En_Britannica2009_11_new.txt" || die "Can't open En-En_Britannica2009_11_new.txt: $!";
open DSTFILE, ">", "Britannica2009.txt" || die "Can't open Britannica2009.txt: $!";


while (defined($oneLine = <SRCFILE>)) {        #<> operator returns undef at end of file
    
    # chomp($oneLine);

    #Even though original text has 0D 0A (\r \n) as a new line character, $oneLine =~ m@\r\n@ can't match
    #because $oneLine has \n, not \r\n. \r is processed while read in and written out.
    
    #$oneLine =~ s@\n@\n</>\n@ ;       #does not need g modifier. one article has only one new line character at the end
    $oneLine = $oneLine . "</>\n" ;   #every $oneLine has \n at the end so just concatenating </>\n is way better than substituting \n with \n</>\n
    
    $oneLine =~ s@\t@\n@ ;            #doen not need g modifier. one article has only one tab character
    $oneLine =~ s@\\n@<br>@g ;
    
    $oneLine =~ s@&apos;@'@g ;
    $oneLine =~ s@<k>(.+?)</k>@<h3>$1</h3>@ ;   #does not need g(global) modifier because one article has only one <k>..</k>
    $oneLine =~ s@<c c=(.+?)>@<font color=$1>@g ;
    $oneLine =~ s@</c>@</font>@g ;
    $oneLine =~ s@<kref>(.+?)</kref>@<a href="entry://$1">$1</a>@g ;
    
    
    print DSTFILE $oneLine;
    
}


close SRCFILE;
close DSTFILE;
